import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { UserDTO, AdminControllerGetUsersParams, UpdateUserDTO, SuccessResponseDTO, UpdateBlockchainAccountDTO } from './issuerIRECAPI.schemas';
import adminControllerGetUsersMutator from '../response-type';
import adminControllerUpdateUserMutator from '../response-type';
import adminControllerUpdateBlockchainAddressMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const adminControllerGetUsers: <TData = UserDTO[]>(params?: AdminControllerGetUsersParams, options?: SecondParameter<typeof adminControllerGetUsersMutator>) => Promise<TData>;
export declare const getAdminControllerGetUsersQueryKey: (params?: AdminControllerGetUsersParams) => (string | AdminControllerGetUsersParams)[];
export declare const useAdminControllerGetUsers: <TQueryFnData = UserDTO[], TError = unknown, TData = TQueryFnData>(params?: AdminControllerGetUsersParams, options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof adminControllerGetUsersMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const adminControllerUpdateUser: <TData = UserDTO>(id: number, updateUserDTO: UpdateUserDTO, options?: SecondParameter<typeof adminControllerUpdateUserMutator>) => Promise<TData>;
export declare const useAdminControllerUpdateUser: <TData = UserDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        id: number;
        data: UpdateUserDTO;
    }, TContext>;
    request?: SecondParameter<typeof adminControllerUpdateUserMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    id: number;
    data: UpdateUserDTO;
}, TContext>;
export declare const adminControllerUpdateBlockchainAddress: <TData = SuccessResponseDTO>(id: number, updateBlockchainAccountDTO: UpdateBlockchainAccountDTO, options?: SecondParameter<typeof adminControllerUpdateBlockchainAddressMutator>) => Promise<TData>;
export declare const useAdminControllerUpdateBlockchainAddress: <TData = SuccessResponseDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        id: number;
        data: UpdateBlockchainAccountDTO;
    }, TContext>;
    request?: SecondParameter<typeof adminControllerUpdateBlockchainAddressMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    id: number;
    data: UpdateBlockchainAccountDTO;
}, TContext>;
export {};
