import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { InvitationDTO, SuccessResponseDTO, InviteDTO, OrganizationInvitationStatus } from './issuerIRECAPI.schemas';
import invitationControllerGetInvitationsMutator from '../response-type';
import invitationControllerInviteMutator from '../response-type';
import invitationControllerUpdateInvitationMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const invitationControllerGetInvitations: <TData = InvitationDTO[]>(options?: SecondParameter<typeof invitationControllerGetInvitationsMutator>) => Promise<TData>;
export declare const getInvitationControllerGetInvitationsQueryKey: () => string[];
export declare const useInvitationControllerGetInvitations: <TQueryFnData = InvitationDTO[], TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof invitationControllerGetInvitationsMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const invitationControllerInvite: <TData = SuccessResponseDTO>(inviteDTO: InviteDTO, options?: SecondParameter<typeof invitationControllerInviteMutator>) => Promise<TData>;
export declare const useInvitationControllerInvite: <TData = SuccessResponseDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: InviteDTO;
    }, TContext>;
    request?: SecondParameter<typeof invitationControllerInviteMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: InviteDTO;
}, TContext>;
export declare const invitationControllerUpdateInvitation: <TData = SuccessResponseDTO>(id: string, status: OrganizationInvitationStatus, options?: SecondParameter<typeof invitationControllerUpdateInvitationMutator>) => Promise<TData>;
export declare const useInvitationControllerUpdateInvitation: <TData = SuccessResponseDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        id: string;
        status: OrganizationInvitationStatus;
    }, TContext>;
    request?: SecondParameter<typeof invitationControllerUpdateInvitationMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    id: string;
    status: OrganizationInvitationStatus;
}, TContext>;
export {};
