import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { UserDTO, RegisterUserDTO, UpdateOwnUserSettingsDTO, UpdateUserProfileDTO, UpdatePasswordDTO, SuccessResponseDTO } from './issuerIRECAPI.schemas';
import userControllerRegisterMutator from '../response-type';
import userControllerMeMutator from '../response-type';
import userControllerUpdateOwnUserSettingsMutator from '../response-type';
import userControllerGetMutator from '../response-type';
import userControllerUpdateOwnProfileMutator from '../response-type';
import userControllerUpdateOwnPasswordMutator from '../response-type';
import userControllerConfirmTokenMutator from '../response-type';
import userControllerReSendEmailConfirmationMutator from '../response-type';
declare type SecondParameter<T extends (...args: any) => any> = T extends (config: any, args: infer P) => any ? P : never;
export declare const userControllerRegister: <TData = UserDTO>(registerUserDTO: RegisterUserDTO, options?: SecondParameter<typeof userControllerRegisterMutator>) => Promise<TData>;
export declare const useUserControllerRegister: <TData = UserDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: RegisterUserDTO;
    }, TContext>;
    request?: SecondParameter<typeof userControllerRegisterMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: RegisterUserDTO;
}, TContext>;
export declare const userControllerMe: <TData = UserDTO>(options?: SecondParameter<typeof userControllerMeMutator>) => Promise<TData>;
export declare const getUserControllerMeQueryKey: () => string[];
export declare const useUserControllerMe: <TQueryFnData = UserDTO, TError = unknown, TData = TQueryFnData>(options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof userControllerMeMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const userControllerUpdateOwnUserSettings: <TData = UserDTO>(updateOwnUserSettingsDTO: UpdateOwnUserSettingsDTO, options?: SecondParameter<typeof userControllerUpdateOwnUserSettingsMutator>) => Promise<TData>;
export declare const useUserControllerUpdateOwnUserSettings: <TData = UserDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: UpdateOwnUserSettingsDTO;
    }, TContext>;
    request?: SecondParameter<typeof userControllerUpdateOwnUserSettingsMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: UpdateOwnUserSettingsDTO;
}, TContext>;
export declare const userControllerGet: <TData = UserDTO>(id: number, options?: SecondParameter<typeof userControllerGetMutator>) => Promise<TData>;
export declare const getUserControllerGetQueryKey: (id: number) => string[];
export declare const useUserControllerGet: <TQueryFnData = UserDTO, TError = unknown, TData = TQueryFnData>(id: number, options?: {
    query?: UseQueryOptions<TQueryFnData, TError, TData, import("react-query").QueryKey>;
    request?: SecondParameter<typeof userControllerGetMutator>;
}) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: TError;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
} | {
    data: TData;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isRefetching: boolean;
    isStale: boolean;
    refetch: <TPageData>(options?: import("react-query").RefetchOptions & import("react-query").RefetchQueryFilters<TPageData>) => Promise<import("react-query").QueryObserverResult<TData, TError>>;
    remove: () => void;
    queryKey: import("react-query").QueryKey;
};
export declare const userControllerUpdateOwnProfile: <TData = UserDTO>(updateUserProfileDTO: UpdateUserProfileDTO, options?: SecondParameter<typeof userControllerUpdateOwnProfileMutator>) => Promise<TData>;
export declare const useUserControllerUpdateOwnProfile: <TData = UserDTO, TError = void, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: UpdateUserProfileDTO;
    }, TContext>;
    request?: SecondParameter<typeof userControllerUpdateOwnProfileMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: UpdateUserProfileDTO;
}, TContext>;
export declare const userControllerUpdateOwnPassword: <TData = UserDTO>(updatePasswordDTO: UpdatePasswordDTO, options?: SecondParameter<typeof userControllerUpdateOwnPasswordMutator>) => Promise<TData>;
export declare const useUserControllerUpdateOwnPassword: <TData = UserDTO, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        data: UpdatePasswordDTO;
    }, TContext>;
    request?: SecondParameter<typeof userControllerUpdateOwnPasswordMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    data: UpdatePasswordDTO;
}, TContext>;
export declare const userControllerConfirmToken: <TData = string>(token: string, options?: SecondParameter<typeof userControllerConfirmTokenMutator>) => Promise<TData>;
export declare const useUserControllerConfirmToken: <TData = string, TError = unknown, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, {
        token: string;
    }, TContext>;
    request?: SecondParameter<typeof userControllerConfirmTokenMutator>;
}) => import("react-query").UseMutationResult<TData, TError, {
    token: string;
}, TContext>;
export declare const userControllerReSendEmailConfirmation: <TData = SuccessResponseDTO>(options?: SecondParameter<typeof userControllerReSendEmailConfirmationMutator>) => Promise<TData>;
export declare const useUserControllerReSendEmailConfirmation: <TData = SuccessResponseDTO, TError = unknown, TVariables = void, TContext = unknown>(options?: {
    mutation?: UseMutationOptions<TData, TError, TVariables, TContext>;
    request?: SecondParameter<typeof userControllerReSendEmailConfirmationMutator>;
}) => import("react-query").UseMutationResult<TData, TError, TVariables, TContext>;
export {};
